libcamera::ProcessManager Class Reference

Manager of processes. More...

## Public Member Functions

void | registerProcess (Process *proc)
| Register process with process manager. More...
int | writePipe () const
| Retrieve the Process manager's write pipe. More...
const struct sigaction & | oldsa () const
| Retrive the old signal action data. More...

## Static Public Member Functions

static ProcessManager * | instance ()
| Retrieve the Process manager instance. More...

## Detailed Description

Manager of processes.

The ProcessManager singleton keeps track of all created Process instances, and manages the signal handling involved in terminating processes.

## Member Function Documentation

## instance()

ProcessManager * libcamera::ProcessManager::instance | ( |  | ) |

static

Retrieve the Process manager instance.

The ProcessManager is a singleton and can't be constructed manually. This method shall instead be used to retrieve the single global instance of the manager.

Returns
  The Process manager instance

## oldsa()

const struct sigaction & libcamera::ProcessManager::oldsa | ( |  | ) | const

Retrive the old signal action data.

This method is meant only to be used by the static signal handler.

Returns
  The old signal action data

## registerProcess()

void libcamera::ProcessManager::registerProcess | ( | Process * | proc | ) |

Register process with process manager.

Parameters

  [in] | proc | Process to register

This method registers the proc with the process manager. It shall be called by the parent process after successfully forking, in order to let the parent signal process termination.

## writePipe()

int libcamera::ProcessManager::writePipe | ( |  | ) | const

Retrieve the Process manager's write pipe.

This method is meant only to be used by the static signal handler.

Returns
  Pipe for writing

The documentation for this class was generated from the following file:

- src/libcamera/process.cpp